## mingw-w64-kcoreaddons-6.11.0-1.src.tar.zst

=== python/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Manuel Alcaraz Zambrano <manuelalcarazzam@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

set(bindings_library "KCoreAddons")

set(wrapped_header ${CMAKE_CURRENT_SOURCE_DIR}/bindings.h)
set(typesystem_file ${CMAKE_CURRENT_SOURCE_DIR}/bindings.xml)

set(generated_sources
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kcoreaddons_module_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kcoreaddons_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kfuzzymatcher_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kfuzzymatcher_range_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kfuzzymatcher_result_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kprocesslist_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kprocesslist_kprocessinfo_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/ksandbox_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/ksandbox_processcontext_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kaboutcomponent_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kaboutdata_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kaboutlicense_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kaboutperson_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kautosavefile_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kbackup_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kcharmacroexpander_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kcompositejob_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kdirwatch_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kfilesystemtype_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kfileutils_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kformat_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kgroupid_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kjob_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kjobtrackerinterface_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kjobuidelegate_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kjsonutils_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/klibexec_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/klistopenfilesjob_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kmacroexpander_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kmacroexpanderbase_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kmemoryinfo_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/knetworkmounts_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kosrelease_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kpluginfactory_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kpluginmetadata_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kprocess_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/krandom_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kruntimeplatform_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kshareddatacache_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kshell_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/ksignalhandler_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kstringhandler_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/ktexttohtml_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kurlmimedata_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kuser_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kusergroup_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kuserid_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KCoreAddons/kwordmacroexpander_wrapper.cpp)

ecm_generate_python_bindings(
    PACKAGE_NAME ${bindings_library}
    VERSION ${KF_VERSION}
    WRAPPED_HEADER ${wrapped_header}
    TYPESYSTEM ${typesystem_file}
    GENERATED_SOURCES ${generated_sources}
    DEPENDENCIES KF6::CoreAddons
    QT_VERSION ${REQUIRED_QT_VERSION}
    HOMEPAGE_URL "https://invent.kde.org/frameworks/kcoreaddons"
    ISSUES_URL "https://bugs.kde.org/describecomponents.cgi?product=frameworks-kcoreaddons"
    AUTHOR "The KDE Community"
    README ../README.md
)

target_link_libraries(${bindings_library} PRIVATE KF6CoreAddons)

execute_process(COMMAND ${Python_EXECUTABLE} -Esc "import sysconfig; print(sysconfig.get_path('platlib', vars={'platbase': '${CMAKE_INSTALL_PREFIX}', 'base': '${CMAKE_INSTALL_PREFIX}'}))" OUTPUT_VARIABLE sysconfig_output)
string(STRIP ${sysconfig_output} PYTHON_INSTALL_DIR)

install(TARGETS ${bindings_library} LIBRARY DESTINATION "${PYTHON_INSTALL_DIR}")

=== PKGBUILD ===
# Maintainer: Biswapriyo Nath <nathbappai@gmail.com>

source "$(dirname ${BASH_SOURCE[0]})"/../mingw-w64-PKGBUILD-common/kde-frameworks
_realname=kcoreaddons
pkgbase="mingw-w64-${_realname}"
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=6.11.0
pkgrel=1
pkgdesc="Qt addon library with a collection of non-GUI utilities (mingw-w64)"
arch=('any')
mingw_arch=('ucrt64' 'clang64' 'clangarm64')
msys2_references=(
  'archlinux: kcoreaddons'
)
msys2_repository_url='https://invent.kde.org/frameworks/kcoreaddons/'
url='https://community.kde.org/Frameworks/'
license=('spdx:LGPL-2.0-or-later')
depends=(
  "${MINGW_PACKAGE_PREFIX}-qt6-base"
)
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-cmake"
  "${MINGW_PACKAGE_PREFIX}-extra-cmake-modules"
  "${MINGW_PACKAGE_PREFIX}-ninja"
  "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
  "${MINGW_PACKAGE_PREFIX}-qt6-tools"
)
optdepends=(
  "${MINGW_PACKAGE_PREFIX}-qt6-declarative: QML bindings"
)
groups=("${MINGW_PACKAGE_PREFIX}-kf6")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${_realname}-${pkgver}.tar.xz"{,.sig})
sha256sums=('ff691c6e0933493ea3e8c4a0ba41fa46ced7b9394e6f35ef9dee349ccfcc3a39'
            'SKIP')
validpgpkeys=(
  'E0A3EB202F8E57528E13E72FD7574483BB57B18D' # Jonathan Esk-Riddell <jr@jriddell.org>
  '90A968ACA84537CC27B99EAF2C8DF587A6D4AAC1' # Nicolas Fella <nicolas.fella@kde.org>
)

build() {
  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  _kde_build_env
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    "${MINGW_PREFIX}"/bin/cmake.exe \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      "${_KDE_INSTALL_DIRS[@]}" \
      -DBUILD_QCH=OFF \
      -DBUILD_TESTING=OFF \
      "${_extra_config[@]}" \
      -S "${_realname}-${pkgver}" \
      -B "build-${MSYSTEM}"

  "${MINGW_PREFIX}"/bin/cmake.exe --build "build-${MSYSTEM}"
}

package() {
  DESTDIR="${pkgdir}" "${MINGW_PREFIX}"/bin/cmake.exe --install "build-${MSYSTEM}"
}
